package org.kne.cloud.network.klalb;

import java.io.IOException;
import java.net.SocketException;

public interface KLALBPacketLink {
	public void writePacket(KLALBPacket kp) throws IOException;
	public KLALBPacket readPacket()throws IOException;
	public void close() throws IOException;
	public boolean isClosed();
	public void setSoTimeout(int val) throws SocketException;
	public int getSoTimeout() throws SocketException;
}
